%%% MAKES A COB WEB PLOT FOR A CUBIC MAP

%%% Vivaldo M. Mendes, ISCTE - Lisbon University Institute, January 2009

%%% Includes the iteration process (Fig 1) and the associated time series
%%% (Fig 2)

%%%% STEP 1: PLOT THE MAP FUNCTION AND THE LINE y=x
 fplot('y^3-2.4*y+0.2',[-2 2]); hold on;
  axis([-2 2 -2 2]);
 set(gca,'XTick',(-2:0.5:2),'YTick',(-2:0.5:2))
 grid off;

 fplot('1*y',[-2 2],'b');

 
%%%%%% STEP 2: COMPUTE TRAJECTORY 
a=2.4;b=0.2;          
x0=0.1          % Initial condition 
N=150;           % Number of iterations
x(1) = x0;    
for ic=1:N
 x(ic+1) = x(ic)^3-a*x(ic)+b; 
end

%%%%%% STEP 3: PLOT COBWEB
 line([x(1) x(1)],[0 x(2)],'Color','r') 
  plot(x(1), x(1),'ko');
 for ic=1:N-1
  line([x(ic) x(ic+1)],[x(ic+1) x(ic+1)],'Color','r')  
  line([x(ic+1) x(ic+1)],[x(ic+1) x(ic+2)],'Color','r')
  plot(x(ic+1), x(ic+1),'ko');
 end
 line([x(N) x(N+1)],[x(N+1) x(N+1)],'Color','r') 
 
   %%%%%% STEP 4: SIGN THE PLOT
 figure
 plot(x)