% To simulate a deterministic trend
%Vivaldo M. Mendes, ISCTE - Lisbon University Institute, January 2009

%Parameters
a0=1.5; a1=0.5;a2=0.03;

%Number of iterations and initial conditions
N=200;y(1)=2;

%Program

for t=1:N;
    y(t+1)=a0+a1*y(t)+a2*t+(1/100)*randn(1);
end

%make figure

figure
subplot(311)
t=1:N;
plot(y);

%To obtain the difference between y(t+1) and y(t) we need to define another variable

for t=1:N;
    d(t+1)=(y(t+1)-y(t));
end

%make the figure of the new variable
subplot(312)
t=1:N;
plot(d)

%make figure of the noise component

subplot(313)
t=1:N;
plot(y(t+1)-a1*y(t)-a0-a2*t)


