%%% MAKES A COB WEB PLOT FOR A LINEAR MAP (a linear difference equation)

        %%% The case of a unique and unstable equilibrium

%%% Vivaldo M. Mendes, ISCTE - Lisbon University Institute, January 2009

%%% Includes the iteration process (Fig 1) and the associated time series (Fig 2)

%%% Two different initial conditions
%%%% STEP 1: PLOT THE MAP FUNCTION AND THE LINE y=x
figure

fplot('10+1.5*y',[-100 100]); hold on;
axis([-100 100 -150 150]);


 set(gca,'XTick',(-100:20:100),'YTick',(-150:50:150))
 grid off;

 fplot('1*y',[-100 100],'k');

 
%%%%%% STEP 2: COMPUTE TRAJECTORY 
a=1.5;          
N=20;           % Number of iterations
x1(1) = 5;    
for t=1:N
    x1(t+1) = 10+a*x1(t); 
end

%%%%%% STEP 3: PLOT COBWEB
 line([x1(1) x1(1)],[0 x1(2)],'Color','r') 
 plot(x1(1), x1(1),'ko');
 for t=1:N-1
     line([x1(t) x1(t+1)],[x1(t+1) x1(t+1)],'Color','r')
     line([x1(t+1) x1(t+1)],[x1(t+1) x1(t+2)],'Color','r')
     plot(x1(t+1), x1(t+1),'ko');
      plot(x1(t), x1(t+1),'ko');
     
 end
 line([x1(N) x1(N+1)],[x1(N+1) x1(N+1)],'Color','r') 
 
 hold on
 
 
 
 %%%%%% STEP 2: COMPUTE TRAJECTORY 
a=1.5;          
N=20;           % Number of iterations
x2(1) = -40;    
for t=1:N
    x2(t+1) = 10+a*x2(t); 
end

%%%%%% STEP 3: PLOT COBWEB
 line([x2(1) x2(1)],[0 x2(2)],'Color','r') 
 plot(x2(1), x2(2),'ko');
 for t=1:N-1
     line([x2(t) x2(t+1)],[x2(t+1) x2(t+1)],'Color','r')
     line([x2(t+1) x2(t+1)],[x2(t+1) x2(t+2)],'Color','r')
     plot(x2(t+1), x2(t+1),'ko');
     plot(x2(t), x2(t+1),'ko');
 end
 line([x2(N) x2(N+1)],[x2(N+1) x2(N+1)],'Color','r') 
 
 
 
 
 
   %%%%%% STEP 4: SIGN THE PLOT
 
 figure
 plot(x1,'b')
 axis([1 12 -1000 1000]);
 grid on
 hold on
 plot(x2,'k')
 axis([1 12 -1000 1000]);