%To simulate a stochastic linear difference equation
%Vivaldo M. Mendes, ISCTE-Lisbon University Institute, January 2009

clear,clc

% White noise
t=300; %Number of observations
wn=randn(t,1); %Matlab code

%%% Plot white noise
figure
plot(wn,'-b');
title('White Noise');
xlabel('$t$','fontsize',16,'interpreter','latex'); 
grid on;


% AR(1)process (Vivaldo's stupid equation)
%Parameters
phi=0;
lambda=0.8;
alpha=5
beta=0.75


%number of iterations
n=300;

%initial condition
x(1)=0.05;
y(1)=0.05;

% a simple loop
for t=1:n
   x(t+1)=phi+lambda*x(t)+randn(1); % Using a new random series
   y(t+1)=phi+lambda*y(t)+wn(t); %Using the above random series (wn)   
end



% make figure of x(t)
figure
plot(x,'r'); 
hold on
plot(y,'b')
legend('x','y')
grid on;

% Calculate autocorrlation of x, y and wn

Rx=autocorr(x,30);
Ry=autocorr(y,30);
Rwn=autocorr(wn,30);
xlabel('$t$','fontsize',16,'interpreter','latex'); 
ylabel('$x,y$','fontsize',16,'interpreter','latex');
title('AR(1) process')

% Plot autocorrelation
figure
plot(Rx,'-or');hold on
plot(Ry,'-ob')
plot(Rwn,'-*')
xlabel('$t$','fontsize',16,'interpreter','latex'); 
legend('Rx','Ry','wn')
grid on;
title('Autocorrelation')

