% SIMULATES AN AR(1)PROCESS with an IRF
% VIvaldo M. Mendes, ISCTE - Lisbon University Institute, January 2009


% initial conditions

v(1)=0; epsilon(1)=1; 

% setting the number of iterations and the values of the autoregressive parameter

N=30;  rho=0; 

%Defining the function for the initial period (1)

v(1)=rho*v(1)+epsilon(1); epsilon=0;

% The routine for all subsequent periods (1+i)

for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end

figure
plot(v,'b');
title('Impulse response AR(1)')
axis([0,30,-0.10,1.4])
text(2.2,0.08,'rho=0')
hold on

% Using various other different values for parameter "a"

rho=0.5; 
for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end
hold on
plot(v,'r');
text(5,0.2,'rho=0.5')

rho=0.9; 
for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end
hold on
plot(v,'c')
text(16,0.3,'rho=0.9')

rho=0.99; 
for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end
hold on
plot(v,'-b')
text(22,0.85,'rho=0.99')
 
 rho=1.0; 
for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end
hold on
plot(v,'.g')
text(25,1.05,'rho=1')

 rho=1.01; 
for i=1:N
    v(i+1)=rho*v(i)+epsilon;
end
hold on
plot(v,'.r')
text(20,1.3,'rh0=1.01')

hold off


    