% SIMULATES AN AR(2)PROCESS
% Vivaldo M. Mendes, ISCTE - Lisbon University Institute, January 2009


% initial conditions

y(1)=0;  y(2)=0; epsilon(1)=1; x(1)=0;

% setting the number of iterations and the values of the autoregressives parameterers

N=80; b=-0.9; a=1.85; 

%Defining the function for the initial period (1)

x(2)=a*y(1)+b*y(2)+epsilon(1); epsilon=0;

% The routine for all subsequent periods (1+i)

for i=1:N
    x(i+2)=a*x(i+1)+b*x(i)+epsilon;
end

figure
plot(x,'b');
grid
title('Impulse response AR(2), b=-0.9')
axis([0,80,-2,15])
text(4,0.5,'a=1.85')
hold on

% Using various other different values for parameter "a"

a=1.894; 
for i=1:N
    x(i+2)=a*x(i+1)+b*x(i)+epsilon;
end
hold on
plot(x,'r');
text(15,5,'a=1.894')

a=1.9; 
for i=1:N
    x(i+2)=a*x(i+1)+b*x(i)+epsilon;
end
hold on
plot(x,'c')
text(42,9,'a=1.9')

a=1.901; 
for i=1:N
    x(i+2)=a*x(i+1)+b*x(i)+epsilon;
end
hold on
plot(x,'k')
text(50,13,'a=1.901')
 
hold off


    